Page MenuHomePhabricator

As a user of the Wikipedia app, I would like to be able to add or edit title descriptions from the app (eg. Wikidata descriptions)
Closed, ResolvedPublic

Description

Why are we doing this?

The Android app currently allows users to edit or add title descriptions (eg. Wikidata descriptions) to articles. We would like to expand this functionality to the iOS app.

Proposed solution

The flow below follows Android's implemented flow closely.

Prototype

https://wikimedia.invisionapp.com/share/BVHXMGQNJPW

Mocks

Editing

Edit reversion notification

Flows

First time user

Existing user

Reverted edit

Design details

  • First time users of the feature are shown two on boarding screens
  • First time users of the feature are shown a confirmation overlay after publishing their first description edit
  • On subsequent edits users will not be shown the on boarding screens
  • On subsequent edits users will be shown a system alert to confirm that their edit was published, not the overlay
  • Users are notified by push notification or system alert when their edit is reverted

Scenarios

First time user

  1. User navigates to an article that does not have a title description
  2. User taps on CTA to 'Add title description'
  3. User is shown the Title description on boarding flow
  4. User taps through on boarding and taps on the CTA to 'Start editing'
  5. User is navigated to the 'Add a description view'
  6. Once the user enters a string between 1 and 90 characters long the 'Publish description' button is activated
  7. If the user enters a string over 90 characters long the 'Publish description' button is activated AND a warning is shown with the character count highlighted in a warning color
  8. User taps on 'Publish description'
  9. User is shown the 'Description published' overlay
  10. User taps on 'Done'
  11. User is returned to article and their published title description is visible.

Non-first time user eg. has used the feature once before

  1. User navigates to an article that does not have a title description
  2. User taps on CTA to 'Add title description'
  3. User is navigated to the 'Add a description view'
  4. Once the user enters a string between 1 and 90 characters long the 'Publish description' button is activated
  5. If the user enters a string over 90 characters long the 'Publish description' button is activated AND a warning is shown with the character count highlighted in a warning color
  6. User taps on 'Publish description'
  7. User is returned to article and their published title description is visible. System alert is shown stating that their edit has been published.

Reverted edit

  1. Users title description edit is reverted by another user

2a. If the user has the app open a system alert is shown
2b. If user does not have the app open a push notification is shown

  1. User taps on CTA or notification
  2. User is navigated to the 'Reverted edit' view

Related Objects

Event Timeline

cmadeo created this task.May 3 2018, 12:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 12:01 AM
cmadeo updated the task description. (Show Details)May 3 2018, 10:21 PM
LGoto triaged this task as High priority.
cmadeo updated the task description. (Show Details)May 8 2018, 5:35 PM
Vvjjkkii renamed this task from As a user of the Wikipedia app, I would like to be able to add or edit title descriptions from the app (eg. Wikidata descriptions) to 0qdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0qdaaaaaaa to As a user of the Wikipedia app, I would like to be able to add or edit title descriptions from the app (eg. Wikidata descriptions).
CommunityTechBot added a subscriber: Aklapper.
JMinor added a subscriber: JMinor.Oct 11 2018, 6:46 PM

Testing notes:

  • This will need to be tested in a language other than English which has special handling and override capabilities.
  • As far as I know there is no way to test this in a staging or test environment, though Android tested and released this last year so they may have figured out a way to do so.

How will the user be informed that descriptions should not generally start with a capital letter in most languages?

Hi @Sjoerddebruin, thanks for asking.
Currently when a user taps into 'learn more' link on the description editing screen they are instructed to only capitalize proper nouns.

ABorbaWMF added a subscriber: ABorbaWMF.

Initially tested on 6.1.0 (1502) and I did not see the revert notification, but I just installed 6.1.0 (1503) and saw the notifications. LGTM

Moving back to QA. Need additional language testing.

Working for me across English, French, Italian, Russian, German and Chinese.

JMinor changed the status of subtask T206786: Allow mobile description editing in English from Open to Stalled.Oct 29 2018, 6:02 PM
JMinor awarded a token.Nov 1 2018, 9:20 PM
JMinor closed this task as Resolved.